/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

/* GENERAL */
* {
    box-sizing: border-box;
    font-family: "San Francisco";
}

:last-child {
    margin-bottom: 0;
}

body {
    overflow-x: hidden;
    line-height: normal;
}

html {
    scroll-behavior: smooth;
}

.stick-bottom {
    margin-bottom: -6%;
}

.video-round video {
    border-radius: clamp(16px, 2.605vw, 50px);
}

.relative {
    position: relative;
}

ol, ul {
    margin: 0 0 1.5em 2em;
}

a {
	font-weight: 700;
}

.wp-block-list li {
    margin-bottom: 1em;
}

/* FONTS */
/** Regular */
@font-face {
    font-family: "San Francisco";
    font-weight: 400;
    src: url("https://applesocial.s3.amazonaws.com/assets/styles/fonts/sanfrancisco/sanfranciscodisplay-regular-webfont.woff");
}

/** Semi Bold */
@font-face {
    font-family: "San Francisco";
    font-weight: 600;
    src: url("https://applesocial.s3.amazonaws.com/assets/styles/fonts/sanfrancisco/sanfranciscodisplay-semibold-webfont.woff");
}

/** Bold */
@font-face {
    font-family: "San Francisco";
    font-weight: 700;
    src: url("https://applesocial.s3.amazonaws.com/assets/styles/fonts/sanfrancisco/sanfranciscodisplay-bold-webfont.woff");
}

h1 {
    font-size: clamp(50px, 4.17vw, 80px);
    font-style: normal;
    letter-spacing: -1px;
    font-weight: 600;
    line-height: clamp(100%, 4.167vw, 116%);
}

h2 {
    font-size: clamp(35px, 2.295vw, 44px);
    font-weight: 700;
    line-height: 100%;
}

h3 {
    font-size: clamp(28px, 1.88vw, 36px);
    font-style: normal;
    font-weight: 700;
    line-height: 102%;
}

h4 {
    font-size: clamp(18px, 1.46vw, 28px);
    font-style: normal;
    font-weight: 700;
    line-height: clamp(126%, 1.56vw, 107%);
}

p {
    font-size: clamp(18px, 1.095vw, 21px);
    line-height: clamp(126%, 1.56vw, 146%);
}

.semi-bold {
    font-weight: 600;
}

/* SPACING */

.m-0 {
    margin: 0 !important;
}

.mb-0 {
    margin-bottom: 0px !important;
}

.mb-5 {
    margin-bottom: 5px !important;
}

.mb-10 {
    margin-bottom: 10px !important;
}

.mb-20 {
    margin-bottom: 20px !important;
}

.mb-40 {
    margin-bottom: 40px !important;
}

.mb-60 {
    margin-bottom: 60px !important;
}

.mt-10 {
    margin-top: 10px !important;
}

.mt-20 {
    margin-top: 20px !important;
}

.pt-0 {
    padding-top: 0px !important;
}

.pt-10 {
    padding-top: 10px !important;
}

.pb-0 {
    padding-bottom: 0px !important;
}

.pb-10 {
    padding-bottom: 10px !important;
}

/* CONTAINER */
@media screen and (min-width: 768px) {

    .container-lg, .container-sm, .grid-container.grid-parent, .site-header .inside-header,
    .main-navigation .inside-navigation {
        max-width: calc(81.77vw + 40px);
        margin-left: auto;
        margin-right: auto;
    }

    .container-sm {
        max-width: calc(54.9vw + 40px);
    }
}

.container-lg, .container-sm {
    padding-left: 20px;
    padding-right: 20px;
}

.section-space {
    padding-top: clamp(40px, 3.6455vw, 70px);
    padding-bottom: clamp(40px, 3.6455vw, 70px);
}

.gradient-gray {
    background: linear-gradient(0deg, #F7F7F7 0%, #FFF 100%);
}

/* NAV */
.main-navigation .main-nav ul li a{
    padding: 0px 10px;
    font-weight: 600;
}

@media screen and (max-width: 976px){
    .main-navigation .main-nav ul li a{
        padding: 10px;
        line-height: normal;
    }
}
.main-navigation .main-nav ul li[class*="current-menu-"] > a {font-weight: 800}

/* BUTTONS */
.wp-block-button .wp-block-button__link,
.gb-button {
    font-size: 14px;
    font-weight: 700;
    width: 100%;
    min-width: 140px;
}

.btn-blog .wp-block-button {
    min-width: 335px;
}

/* GRAVITY FORMS */
.gform-theme--foundation .gform_fields {
    row-gap: 20px !important;
}

.gform-body legend,
.gform-body label {
    text-transform: uppercase !important;
}

.gform-footer input[type="submit"] {
    width: 100% !important;
    border-radius: 25px !important;
    font-weight: 700 !important;
    background-color: var(--accent) !important;
}

.gform-footer input[type="submit"]:hover {
    background-color: var(--accent) !important;
    opacity: .75 !important;
}

/* Staff Slider */
.swiper-wrapper.anim-linear {
    -webkit-transition-timing-function: linear !important;
    transition-timing-function: linear !important;
}

.slide-staff .image-title,
.slide-staff-reversed .image-title {
    width: 100%;
    height: 100%;
    padding: 40px;
    color: #fff;
    text-align: center;
    background-color: rgba(0, 0, 0, 0.5);
    opacity: 0;
    transition: 0.3s;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    border-radius: 15px;
    position: absolute;
}

.slide-staff .image-title h5,
.slide-staff-reversed .image-title h5 {
    font-size: clamp(20px, 2.606vw, 50px);
    margin: 0;
}

.slide-staff .image-title p,
.slide-staff-reversed .image-title p {
    font-size: clamp(12px, .89vw, 17px);
    color: #fff;
}

.slide-staff .swiper-slide:hover .image-title,
.slide-staff-reversed .swiper-slide:hover .image-title {
    opacity: 1;
}

/* Icons Right */
.grid-icon-right .gb-container {
    position: relative;
}

.grid-icon-right .gb-container .gb-icon {
    position: absolute;
    top: 10%;
    right: 20px;
}

.subscribe-form h4 {
    font-size: clamp(19px, 1.875vw, 36px);
}

/* BLOG GRID */
.blogpost-grid img {
    aspect-ratio: 2 / 1;
    width: 100%;
    border-top-left-radius: 35px;
    border-top-right-radius: 35px;
    object-position: top;
}

.blogpost-grid .gb-container {
	height: 100%;
}

/* BLOG */
@media screen and (min-width:1025px) {
    .blog .site-main {
        max-width: 58.5vw;
        margin: 0 auto;
    }

    .blog .featured-column {
        width: 100%;
    }

    .blog .featured-column .inside-article {
        display: grid;
        grid-template-columns: 51.5% 48.5%;
        grid-template-rows: repeat(3, auto);
        gap: 0 40px;
        align-items: center;
    }

    .blog .featured-column .post-image {
        grid-column: 1 / 2;
        grid-row: 1 / 4;
        margin: 0;
    }

    .blog .generate-columns-container {
        margin-left: 0;
    }

    .blog .generate-columns {
        padding-left: 2.5%;
        padding-right: 2.5%;
        margin-bottom: 5%;
    }
}

.blog .inside-article article{
    margin-bottom: clamp(40px, 0vw, 20px);
}

.blog .post-image img,
.archive.author .site-main article .post-image img  {
    aspect-ratio: 2 / 1.33;
    object-fit: cover;
    display: block;
    border-radius: 10px;
    width: 100%;
}

.blog .inside-article .post-image{
    margin-bottom: 1em;
}

.blog .entry-summary:not(:first-child){
    margin-top: 1em;
}

.blog .featured-column .entry-meta,
.blog .featured-column .entry-summary,
.blog .featured-column .entry-header {
    grid-column: 2;
}

.blog .site-content {
    padding-bottom: 30px;
    padding-top: clamp(20px, 2.08vw, 40px);
    padding-left: clamp(20px, 0vw, 0px);
    padding-right: clamp(20px, 0vw, 0px);
}

.blog .entry-title {
    font-size: 22px;
}

.blog .featured-column .entry-title {
    font-size: clamp(22px, 1.9vw, 35px);
}

.blog .masonry-load-more.load-more.has-svg-icon{
    text-align: center;
}
.blog .entry-summary p:first-child {display: none}

/* SINGLE */
.single-post .site-main {
    max-width: 654px;
    /* max-width: 900px; */
    margin: 0 auto;
    padding: clamp(20px, 0vw, 0px);
}

.single-post .site-main article .wp-block-image img {
    margin-bottom: 20px;
}

@media screen and (min-width: 1024px){
    .single-post .site-main article .wp-block-image img,
    .single-post .site-main article p:has(iframe) {
        transform: scale(1.25);
        margin: 10% 0;
        border-radius: 25px;
    }
}

.single-post .site-main article .wp-block-image img,
.single-post .site-main article iframe {
    width: 100%;
    border-radius: 25px;
}

.single-post h1 {
    font-size: clamp(32px, 2.5vw, 48px);
    line-height: 117%;
    letter-spacing: -0.64px;
}

.single-post h2 {
    font-size: clamp(25px, 1.823vw, 35px);
    font-weight: 700;
    line-height: 119%;
}

.single-post header.entry-header {
    display: flex;
    flex-direction: column-reverse;
}

.single-post .entry-header .entry-meta {
    color: #86868B;
    font-style: normal;
    font-weight: 600;
}

.single-post .single-post-social {
    justify-content: space-between;
}

.single-post .single-post-social span.comments-link-manual,
.single-post .single-post-social .share--icons div {
    display: flex;
    gap: 10px;
}

.single-post .single-post-social .comments-link-manual a {
    color: #aaa;
}

.single-post .comment-content,
.single-post .comment-form-comment textarea {
    border-radius: 20px;
    background: #fff;
    border-color: #D9D9D9;
}

.single-post h2.comments-title {
    font-size: 2em;
}

.single-post form.comment-form input[type="submit"]{
    font-weight: 600;
    border-radius: 50px;
}

/* AUTHOR PAGE */
.archive.author .site-main {
    max-width: 900px;
    margin: 0 auto;
    padding-bottom: 40px;
}

/* SEARCH RESULTS TEMPLATE */
.search-results .generate-columns-container:not(.masonry-container){
    flex-direction: column;
    max-width: calc(81.77vw + 40px);
    margin: 0 auto;
    padding-top: 40px;
    padding-bottom: 40px;
}

.search-results article{
    width: 100% !important;
}

.search-results h1 {
    font-size: clamp(28px, 2.61vw, 50px);
}

.search-results h2 {
    font-size: clamp(22px, 1.46vw, 28px);
    font-weight: normal;
}

.search-results .wp-block-post-date{
    font-style: italic;
    font-weight: bold;
    font-size: .75em;
}

.search-results .wp-block-post-author__name::before{
    content: "Por ";
}

/* BREAKPOINTS */
.show-mobile, .show-mobile-inline,
.show-mobile-flex {
    display: none !important;
}

@media screen and (max-width: 767px) {

    .show-mobile,
    .br-mobile-only br {
        display: block !important;
    }

    .show-mobile-flex {
        display: flex !important;
    }

    .hide-mobile,
    .br-desktop-only br {
        display: none !important;
    }

    .justify-center-mb {
        justify-content: center !important;
    }

    .justify-left-mb {
        justify-content: left !important;
    }

    .scale-mb img {
        transform: scale(1.5);
        padding: 20px 0px;
        margin-left: 20px;
        overflow: hidden;
    }

    /* Contact-us bullets */
    .timeline-bullets figure img {
        position: absolute;
        right: -10px;
        top: 40%;
        width: 17px;
    }
}